{% set css = styles %}
{% set columns = column_number %}
<div class="modular-row{% if css %} {{ css }}{% endif %}">
  <div class="row">
    <div class="sg-content">
      <div class="sg-gallery-row">
        <div class="row small-up-{{ (columns // 3) }} medium-up-{{ (columns // 2) + 1 }} large-up-{{ columns }}">
        {% for item in gallery %}
        {% set item_title = item.title %}
        {% set item_desc = item.description %}
        {% set image_css = image_styles %}
          <div class="column{% if image_css %} {{ image_css }}{% endif %}">
            {{ page.media[item.image].lightbox(1920,1080).cropResize(960,540).html('Image') }}
            {% if item_title %}<h5>{{ item_title }}</h5>{% endif %}
            {% if item_desc %}<p>{{ item_desc }}</p>{% endif %}
          </div>
        {% endfor %}
        </div>
      </div>
    </div>
  </div>
</div>
